I've just updated to ZoneAlarm Pro Antivirus + Firewall version because the release history notes for it says:

"Added: Firefox 15 support"


However, the Firefox Add-ons Manager tells me:

"ZoneAlarm Security Engine 1.5.395.0 (disabled)"
"ZoneAlarm Security Engine is incompatible with Firefox 15.0.1"

And there's no option to enable it. Has something gone wrong with the install, or is the latest version of ZoneAlarm not really compatible with Firefox 15?

I've tried uninstalling, running the ZoneAlarm clean.exe utility and then reinstalling, but no joy.